# 32/64bit spec-file
#
%define         name            retroroids
%define		version		1.21

Name:		%{name}
Version:	%{version}
Release:	%mkrel 4
Summary:	remake of the classic Asteroids game  
Group:		Games/Arcade
License:	Freeware
URL:		http://homepage.ntlworld.com/danny.offer/downloads.html#retroroids
Source:		%{name}%{version}.tar.xz
Source1:	%{name}.png
BuildRequires:	imagemagick
BuildRequires:  %{_lib}alsa2
BuildRequires:  gtk+2.0
BuildRequires:  %{_lib}gtkglext-1.0_0
BuildRequires:  libstdc++6
Obsoletes:	%{name} <= %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
Another retro arcade classic: Asteroids.  While this game is newer than Space Invaders (just), it's heritage goes all the way back to 1971's Computer Space arcade machine.  
Permission to package it to PCLinuxOS rpm package was granted by Mr. Dan <dans.remakes@gmail.com> to Agent Smith

%prep
%setup -q -n %{name}

%build
 

%install
%__rm -rf %{buildroot}
# install section
%__install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}

#Icons
%__mkdir_p %{buildroot}%{_datadir}/pixmaps/
%__install -c -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png

%__mkdir_p %{buildroot}/%{_miconsdir} \
	 %{buildroot}/%{_liconsdir} \
	 %{buildroot}/%{_iconsdir}

%__install -m 644 %{SOURCE1} %{buildroot}/%{_miconsdir}/%{name}.png
%__install -m 644 %{SOURCE1} %{buildroot}/%{_iconsdir}/%{name}.png
%__install -m 644 %{SOURCE1} %{buildroot}/%{_liconsdir}/%{name}.png
convert %{buildroot}%{_miconsdir}/%{name}.png -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert %{buildroot}%{_iconsdir}/%{name}.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png

# install menu entries
%__mkdir_p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=remake of the classic Asteroids game.
Exec=%{name}
Icon=%{name}
Type=Application
Terminal=false
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc readme.txt
%{_bindir}/%{name}
# desktop integration
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop



%changelog
* Sat May 18 2013 Texstar <texstar at gmail.com> 1.21-4pclos2013
- fix rpmgroup

* Wed Mar 27 2013 pinoc <vogtpet at gmail.com> 1.21-3pclos2013
- fixed BR for 32/64 and added to 64

* Tue Feb 05 2013 Agent Smith <ruidobranco@yahoo.com.br> 1.21-2pclos2013
- Fixed the section: Games with capital "G"

* Thu May 03 2012 Neal <nealbrks0 at gmail.com> 1.21-1pclos2012
- process

* Wed May 02 2012 Agent Smith <ruidobranco@yahoo.com.br> 1.21-1pclos2012.0
+ Version: 1.21
- Created package retroroids 
